import { Initializer, InitializerParams } from './initializer';
export declare class DocumentInitializer extends Initializer {
    apply({ pdfDocument, options }: InitializerParams): Promise<Partial<{
        scroll?: import('../..').ScrollMode;
        spread?: import('../..').SpreadMode;
        rotation?: number;
        page?: number;
        scale?: number | string;
        scrollTop?: number;
        scrollLeft?: number;
        sidebar?: import('../..').SidebarType;
        sidebaropened?: boolean;
    }>>;
}
